# WOK
TKWOK
WOKMake

# WOKMake_StepFile Class Reference

`#include <WOKMake_StepFile.hxx>`

Inheritance diagram for WOKMake_StepFile:

[legend]

## Public Member Functions

Standard_EXPORT void | SetFile (const Handle(WOKernel_File)&afile)
const Handle_WOKernel_File & | File () const
Standard_EXPORT void | SetBuilderEntity (const Handle(WOKBuilder_Entity)&aent)
const Handle_WOKBuilder_Entity & | BuilderEntity () const
Standard_EXPORT void | SetID (const Handle(TCollection_HAsciiString)&aname)
const Handle_TCollection_HAsciiString & | ID () const
Standard_EXPORT void | SetLastPath (const Handle(WOKUtils_Path)&apath)
const Handle_WOKUtils_Path & | LastPath () const
Standard_EXPORT void | SetStatus (const WOKMake_FileStatus astatus)
WOKMake_FileStatus | Status () const
Standard_EXPORT void | SetLocateFlag (const Standard_Boolean aflg)
Standard_Boolean | IsLocateAble () const
| True if File is Known to be in WOK Entity False if File is not in WOK (ex: .:.:/usr/include/stream.h) .
Standard_EXPORT void | SetPhysicFlag (const Standard_Boolean aflag)
Standard_Boolean | IsPhysic () const
Standard_EXPORT void | SetStepID (const Standard_Boolean aflag)
Standard_Boolean | IsStepID () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKMake_StepFile ()
Standard_EXPORT | WOKMake_StepFile (const Handle(TCollection_HAsciiString)&anid, const Handle(WOKernel_File)&afile, const Handle(WOKBuilder_Entity)&abuildent, const Handle(WOKUtils_Path)&aoldpath)

## Protected Attributes

Standard_Integer | myattr

## Private Attributes

Handle_WOKernel_File | myfile
Handle_TCollection_HAsciiString | myid
Handle_WOKBuilder_Entity | myent
Handle_WOKUtils_Path | mylastpath
WOKMake_FileStatus | mystatus

## Constructor & Destructor Documentation

Standard_EXPORT WOKMake_StepFile::WOKMake_StepFile | ( |  | ) | `[protected]`

Standard_EXPORT WOKMake_StepFile::WOKMake_StepFile | ( | const Handle(TCollection_HAsciiString)& | anid,
|  | const Handle(WOKernel_File)& | afile,
|  | const Handle(WOKBuilder_Entity)& | abuildent,
|  | const Handle(WOKUtils_Path)& | aoldpath
| ) | `[protected]`

## Member Function Documentation

const Handle_WOKBuilder_Entity& WOKMake_StepFile::BuilderEntity | ( |  | ) | const

const Handle_WOKernel_File& WOKMake_StepFile::File | ( |  | ) | const

Standard_EXPORT const WOKMake_StepFile::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in WOKMake_InputFile, and WOKMake_OutputFile.

const Handle_TCollection_HAsciiString& WOKMake_StepFile::ID | ( |  | ) | const

Standard_Boolean WOKMake_StepFile::IsLocateAble | ( |  | ) | const`[inline]`

Standard_Boolean WOKMake_StepFile::IsPhysic | ( |  | ) | const`[inline]`

Standard_Boolean WOKMake_StepFile::IsStepID | ( |  | ) | const`[inline]`

const Handle_WOKUtils_Path& WOKMake_StepFile::LastPath | ( |  | ) | const

Standard_EXPORT void WOKMake_StepFile::SetBuilderEntity | ( | const Handle(WOKBuilder_Entity)& | aent | ) |

Standard_EXPORT void WOKMake_StepFile::SetFile | ( | const Handle(WOKernel_File)& | afile | ) |

Standard_EXPORT void WOKMake_StepFile::SetID | ( | const Handle(TCollection_HAsciiString)& | aname | ) |

Standard_EXPORT void WOKMake_StepFile::SetLastPath | ( | const Handle(WOKUtils_Path)& | apath | ) |

Standard_EXPORT void WOKMake_StepFile::SetLocateFlag | ( | const Standard_Boolean | aflg | ) |

Standard_EXPORT void WOKMake_StepFile::SetPhysicFlag | ( | const Standard_Boolean | aflag | ) |

Standard_EXPORT void WOKMake_StepFile::SetStatus | ( | const WOKMake_FileStatus | astatus | ) |

Standard_EXPORT void WOKMake_StepFile::SetStepID | ( | const Standard_Boolean | aflag | ) |

WOKMake_FileStatus WOKMake_StepFile::Status | ( |  | ) | const`[inline]`

## Field Documentation

Standard_Integer WOKMake_StepFile::myattr `[protected]`

Handle_WOKBuilder_Entity WOKMake_StepFile::myent `[private]`

Handle_WOKernel_File WOKMake_StepFile::myfile `[private]`

Handle_TCollection_HAsciiString WOKMake_StepFile::myid `[private]`

Handle_WOKUtils_Path WOKMake_StepFile::mylastpath `[private]`

WOKMake_FileStatus WOKMake_StepFile::mystatus `[private]`

The documentation for this class was generated from the following files:

- WOKMake_StepFile.hxx
- WOKMake_StepFile.lxx